Subject: Problem running wu-ftpd on BSD

From: MadhaviX Shrotri <[email-masked]>
Date: Thu, 07 Dec 95 11:39:00 PST

Hi everybody,
     
     I am trying to run wu-ftpd on BSDI BSD/OS 2.0.1
     
     I am able to compile wu-ftpd (version 2.4) and get it running. But 
     when I try to start a ftp session, I do not get any response back 
     after entering the user name. On the console I see continuously 
     following message being displayed
        sleeping: flock of pid operation failed: operation not supported
     
     I have the directory created for ftp-pid files with proper permissions 
     
     drwxr_xr_x    2     bin     bin    512     ftpd-pid
     
     and 0 length file for ftp.pids-local get created
     
     _rw_r__r__   1     bin     bin     0       ftp.pids-local
     
     It looks like BSD does not support locking of files.  So my question 
     is whether there is any patch for BSD for wu-ftpd and/or what am I 
     doing wrong in setting up wu-ftpd and what should be done to rectify 
     the error.
     
     Thanks in advance,
     
     Madhavi